package models

import (
	"os"

	"git.hikan.ru/serr/candycache"
)

func WriteCacheDumpToFile(cache *candycache.Cache, filename string) error {
	file, err := os.Create(filename)
	if err != nil {
		return err
	}
	defer file.Close()
	if err = cache.Save(file); err != nil {
		return err
	}
	return nil
}
