package tools

import (
	"github.com/tdewolff/minify"
	"github.com/tdewolff/minify/html"
)

// Сжимает html страницу переданную как строку
func MinifyStringHtml(page string) (string, error) {
	m := minify.New()
	m.AddFunc("text/html", html.Minify)
	compressedPage, err := m.String("text/html", page)
	if err != nil {
		return "", err
	}
	return compressedPage, nil
}
