package tools

import "time"

// Принимает значение интервала и выполняемю функцию
func Ticker(duration time.Duration, f func()) {
	ticker := time.NewTicker(duration)
	defer ticker.Stop()
	for range ticker.C {
		f()
	}
}
